Bug 827617 - content upload rest apis return empty json objects
content upload rest apis return empty json objects
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 16:55 EDT by Jason Connor
Modified: 2014-03-30 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2012-06-01 16:55:13 EDT
{} gets translated an object with no fileds in javascript
If we return an empty body, please pass in None, which will get translated into null
Comment 1 Michael Hrivnak 2012-06-26 16:39:30 EDT
Can you be more specific about the circumstances under which this is happening?  For example, what specific call(s) can cause this?
Comment 2 Michael Hrivnak 2012-07-05 15:08:07 EDT
jconnor, please confirm if this addresses all of the problem areas. I found two methods that were returning empty dicts.

http://git.fedorahosted.org/git/?p=pulp.git;a=commitdiff;h=1f1ffa8f
Comment 3 Michael Hrivnak 2012-07-05 16:20:35 EDT
Solution was approved by jconnor via email.
Comment 4 Jeff Ortel 2012-07-12 17:51:35 EDT
build: 0.313
Comment 5 Preethi Thomas 2013-01-09 12:08:43 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.